Skip to content

User Action Executions

Operations Summary

Method Endpoint Description
GET /api/user-action-executions/ List User Action Executions
GET /api/user-action-executions/{id}/ Retrieve

List User Action Executions

1
2
3
4
http \
  GET \
  https://api.example.com/api/user-action-executions/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.user_action_executions import user_action_executions_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = user_action_executions_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: user_action_executions_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { userActionExecutionsList } from 'waldur-js-client';

try {
  const response = await userActionExecutionsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
o string Which field to use when ordering the results.
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
id integer
corrective_action_label string
executed_at string (date-time)
success boolean
error_message string
execution_metadata string

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/user-action-executions/123/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.user_action_executions import user_action_executions_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = user_action_executions_retrieve.sync(
    id=123,
    client=client
)

print(response)
  1. API Source: user_action_executions_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { userActionExecutionsRetrieve } from 'waldur-js-client';

try {
  const response = await userActionExecutionsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "id": 123
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
id integer A unique integer value identifying this user action execution.

200 -

Field Type
id integer
corrective_action_label string
executed_at string (date-time)
success boolean
error_message string
execution_metadata string